#ifndef QPROFILES_H
#define QPROFILES_H

#include <QtGui/QMainWindow>
#include <qevent.h>
#include <qpainter.h>
#include <qfiledialog.h>
#include <qpixmap.h>
#include <qwt_plot.h>
#include <qwt_plot_curve.h>
#include <qwhatsthis.h>

#include "pimage.h"
#include "pdata.h"
#include "ui_projectionDialog.h"

namespace Ui
{
    class QProfiles;

}

class QProfiles : public QMainWindow, public Ui::ProjectionDialog
{
    Q_OBJECT

public:
    QProfiles(QWidget *parent = 0);
    ~QProfiles();
    bool setPixmap(QString fileName);

private:
    Ui::QProfiles *ui_qprofiles;
    Ui::ProjectionDialog *ui_projectionDialog;

    PImage  *imageLabel;
    QPixmap imagePixmap;
    QPixmap aoiPixmap;
    QString imageFileName;
    QDialog *projDialog;
    PData  *imageData;
    QwtPlotCurve *curve;
    QwtPlotCurve *filteredCurve;
    QwtPlotCurve *offsetCurve;

private slots:
    void fileSaveHor();
    void fileOpen();
    void fileQuit();
    void aoiSelected();
    void resetAoi();
    void projection();
    void projDialogDestroyed();
    void toggleSubtractOffset(bool on);
    void toggleFilterData(bool on);
    void displayAbout();
    void whatsThis();

};

#endif // QPROFILES_H
